Skip to main content
GET
/
meter-orders
List smart meter orders
curl --request GET \
  --url https://api.nomos.energy/meter-orders \
  --header 'Authorization: Bearer <token>'
{
  "items": [
    {
      "id": "prdo_tz0klh2smbeo8yeiculxpw03",
      "subscription": "sub_b81gvqxbdq33b47tz0b4wpd3",
      "customer": "cus_jh3sv4e07l2k6z9mdnwecib7",
      "provider": "energy-metering",
      "status": "waiting",
      "created_at": "2024-03-14T12:00:00Z",
      "updated_at": "2024-03-14T12:00:00Z"
    }
  ],
  "next_page": "<string>",
  "has_more": false
}

Documentation Index

Fetch the complete documentation index at: https://docs.nomos.energy/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

cursor
string | null
limit
number
default:10
Required range: 1 <= x <= 100
filter[field][operator]
any | null

Filterable fields:

  • status (enum): waiting, ordered, checked, installation_planning, installation_scheduled, installation_waiting, installation_finished, activated, installed, pre_installed, cancelled, intended, blocked, blocked_wim
  • product (enum): smart-meter-energy-metering, smart-meter-metrify, smart-meter-inexogy
  • customer (string)
  • subscription (string)
  • created_at (date)
  • updated_at (date)

See Filtering Documentation for supported operators and syntax.

Example:

"value"

Response

Retrieve all meter orders for the organization

object
enum<string>
required
Available options:
list
items
object[]
required
next_page
string | null
has_more
boolean
default:false